cgGetEnumString(3)

NAME
cgGetEnumString - get the name string associated with an enumerant

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetEnumString( CGenum enum );

PARAMETERS

enum
    The enumerant.

RETURN VALUES
Returns the string representation of the enumerant enum.

Returns NULL if enum is not a valid Cg enumerant.

DESCRIPTION
cgGetEnumString returns the name string associated with an enumerant. It's primary use to print debugging information.

EXAMPLES
  /* This prints "CG_UNIFORM" to stdout */
  const char *EnumString = cgGetEnumString(CG_UNIFORM);
  printf("%s\n", EnumString);

ERRORS
None.

HISTORY
cgGetEnumString was introduced in Cg 1.2.

SEE ALSO
the cgGetEnum manpage